From: "Eric Joldasov" <bratishkaerik@getgoogleoff.me>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-zig/zls/
Date: Wed, 7 Aug 2024 09:17:08 +0000 (UTC) [thread overview]
Message-ID: <1723022014.61e3a28a8a67222943ab97bcfaf604462ce72e5d.bratishkaerik@gentoo> (raw)
commit: 61e3a28a8a67222943ab97bcfaf604462ce72e5d
Author: Eric Joldasov <bratishkaerik <AT> landless-city <DOT> net>
AuthorDate: Wed Aug 7 09:13:13 2024 +0000
Commit: Eric Joldasov <bratishkaerik <AT> getgoogleoff <DOT> me>
CommitDate: Wed Aug 7 09:13:34 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=61e3a28a
dev-zig/zls: sync 9999 ebuild with 0.13.0
Signed-off-by: Eric Joldasov <bratishkaerik <AT> landless-city.net>
dev-zig/zls/zls-9999.ebuild | 27 ++++++++++++++++++++-------
1 file changed, 20 insertions(+), 7 deletions(-)
diff --git a/dev-zig/zls/zls-9999.ebuild b/dev-zig/zls/zls-9999.ebuild
index d5b61e56a..3cdd0da1d 100644
--- a/dev-zig/zls/zls-9999.ebuild
+++ b/dev-zig/zls/zls-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,8 @@ EZIG_MAX_EXCLUSIVE="99991"
DEPEND="dev-lang/zig:${EZIG_MIN}"
RDEPEND="${DEPEND}"
+DOCS=( README.md )
+
# see https://github.com/ziglang/zig/issues/3382
# For now, Zig Build System doesn't support CFLAGS/LDFLAGS/etc.
QA_FLAGS_IGNORED="usr/bin/zls"
@@ -105,23 +107,34 @@ ezig() {
src_unpack() {
git-r3_src_unpack
+
cd "${S}" || die
- ezig build --fetch || die "Fetching Zig modules failed"
- local ZLS_GEN_FLAGS="--generate-version-data master --generate-version-data-path version_data_offline.zig"
+ ezig build --fetch --global-cache-dir "${WORKDIR}/zig-eclass/" || die "Pre-fetching Zig modules failed"
+ local ZLS_GEN_FLAGS="--generate-version-data master --generate-version-data-path version_data.zig"
ezig build gen --verbose -- ${ZLS_GEN_FLAGS} || die "Pre-generating Zig version data failed"
}
+src_configure() {
+ export ZBS_ARGS=(
+ --prefix usr/
+ -Doptimize=ReleaseSafe
+ --system "${WORKDIR}/zig-eclass/p/"
+ -Dversion_data_file_path=version_data.zig
+ --verbose
+ )
+}
+
src_compile() {
- ezig build -Doptimize=ReleaseSafe -Dversion_data_file_path=version_data_offline.zig --verbose || die
+ ezig build "${ZBS_ARGS[@]}"
}
src_test() {
- ezig build test -Doptimize=ReleaseSafe -Dversion_data_file_path=version_data_offline.zig --verbose || die
+ ezig build test "${ZBS_ARGS[@]}"
}
src_install() {
- DESTDIR="${ED}" ezig build install --prefix /usr -Doptimize=ReleaseSafe -Dversion_data_file_path=version_data_offline.zig --verbose || die
- dodoc README.md
+ DESTDIR="${ED}" ezig build install "${ZBS_ARGS[@]}"
+ einstalldocs
}
pkg_postinst() {
next reply other threads:[~2024-08-07 9:17 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-08-07 9:17 Eric Joldasov [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-07 14:50 [gentoo-commits] repo/proj/guru:dev commit in: dev-zig/zls/ Eric Joldasov
2024-12-27 19:21 Eric Joldasov
2024-12-17 20:59 Eric Joldasov
2024-12-15 12:20 Eric Joldasov
2024-12-15 12:20 Eric Joldasov
2024-08-24 11:16 Eric Joldasov
2024-08-09 17:04 Eric Joldasov
2024-08-07 10:16 Eric Joldasov
2024-08-07 10:15 Eric Joldasov
2024-08-07 9:09 Eric Joldasov
2024-08-01 6:25 Eric Joldasov
2024-07-31 19:33 Eric Joldasov
2024-07-31 19:09 Eric Joldasov
2023-10-10 2:48 Eric Joldasov
2023-08-26 17:01 Eric Joldasov
2023-03-09 14:14 Eric Joldasov
2023-03-09 14:14 Eric Joldasov
2023-03-07 8:43 Eric Joldasov
2023-02-05 11:56 Eric Joldasov
2022-11-04 17:22 Eric Joldasov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1723022014.61e3a28a8a67222943ab97bcfaf604462ce72e5d.bratishkaerik@gentoo \
--to=bratishkaerik@getgoogleoff.me \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox